org.eclipse.wst.jsdt.chromium.debug.ui

## Class DialogUtils.OkButtonControl<T>

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.DialogUtils.OkButtonControl<T>

All Implemented Interfaces:
  DialogUtils.ValueConsumer

Enclosing class:
  DialogUtils

    public static class DialogUtils.OkButtonControl<T>
    extends java.lang.Object
    implements DialogUtils.ValueConsumer

A general-purpose implementation of OK button vertex. It works as a consumer of 1 result value and several warning sources. From its sources it decides whether OK button should be enabled and also provides dialog messages (errors, warnings, infos).

### Constructor Summary

Constructors
Constructor and Description
`OkButtonControl(DialogUtils.ValueSource<? extends DialogUtils.Optional<? extends T>> resultSource, java.util.List<? extends DialogUtils.ValueSource<java.lang.String>> warningSources, DialogUtils.OkButtonElements dialogElements)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<? extends DialogUtils.ValueSource<?>>` `getDependencies()` Returns a list of dependencies for updater -- a convenience method.
`T` `getNormalValue()`
`void` `update(DialogUtils.Updater updater)` Called by updater when some linked sources have changed and it's time this vertex got updated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OkButtonControl

    public OkButtonControl(DialogUtils.ValueSource<? extends DialogUtils.Optional<? extends T>> resultSource,
                           java.util.List<? extends DialogUtils.ValueSource<java.lang.String>> warningSources,
                           DialogUtils.OkButtonElements dialogElements)

### Method Detail

#### getDependencies

    public java.util.List<? extends DialogUtils.ValueSource<?>> getDependencies()

Returns a list of dependencies for updater -- a convenience method.

#### update

    public void update(DialogUtils.Updater updater)

Description copied from interface: `DialogUtils.ValueConsumer`
Called by updater when some linked sources have changed and it's time this vertex got updated. `DialogUtils.Updater.reportChanged(org.eclipse.wst.jsdt.chromium.debug.ui.DialogUtils.ValueSource<?>)` may be called if some s have changed during this update (but this should not break topological order of the graph).

Specified by:
  `update` in interface `DialogUtils.ValueConsumer`

#### getNormalValue

    public T getNormalValue()